#!/usr/bin/python3.6
#
# basic from chatterbot docs 
# extended by chrissie 08.2020
#

from chatterbot import ChatBot
from chatterbot.trainers import ListTrainer

# Uncomment the following lines to enable verbose logging
# import logging
# logging.basicConfig(level=logging.INFO)

# Create a new chat bot
buddha = ChatBot('Buddha',
    storage_adapter='chatterbot.storage.SQLStorageAdapter',
    database_uri='sqlite:///buddha.sqlite3'
    )


# do only training one time
# training will be saved somewhere
# user input will be added to training
training = 0
if training == 1:
    # reset database - beware!
    chatbot.storage.drop()

    # read buddha fortunes for training
    f_lines = []
    with open('./101buddhafortune.txt') as f:
        for curline in f:
            # skip % in fortunes files
            if not curline.startswith("%"):
                # rstrip removes line endings
                f_lines.append(curline.rstrip())
                #print (curline.rstrip())
    trainer = ListTrainer(chatbot)
    trainer.train (f_lines)

# alternative training - beware
#trainer.train([
#    "Hi, can I help you?",
#    "Sure, I'd like to book a flight to Iceland.",
#    "Your flight has been booked."
#])

print('Type something to begin... - CTRL-C quits')

# The following loop will execute each time the user enters input
while True:
    try:
        user_input = input()
        bot_response = chatbot.get_response(user_input)
        print("-- Buddha responds: ", end='')
        print(bot_response)

    # Press ctrl-c or ctrl-d on the keyboard to exit
    except (KeyboardInterrupt, EOFError, SystemExit):
        break
